﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.Fence.Worker.Models.Config
{
    public class ServiceConfig
    {
        /// <summary>
        /// 数据服务Host Url
        /// </summary>
        public string TelpoDataUrl { get; set; }

        /// <summary>
        /// Kafka服务地址
        /// </summary>
        public string KafkaBootstrapServers { get; set; }
        public List<string> KafkaTopics { get; set; }
        public string KafkaGroupId { get; set; }
        public int MaxDegreeOfParallelism { get; set; }
        public int CacheDurationSeconds { get; set; }
    }
}
