﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.Fence.Worker.Models.CacheTemplates
{
    public class DeviceFenceModel
    {
        public string imei { get; set; }
        public string deviceId { get; set; }
        public int count { get; set; }
        public List<DeviceFenceList> fenceList { get; set; }
    }


    public class DeviceFenceList
    {
        public string geofenceId { get; set; }
        public string geofenceName { get; set; }
        public List<string> WifiInfo { get; set; }
        public int fenceType { get; set; }
        public int alarmType { get; set; }
        public string address { get; set; }
        public List<pointList> pointList { get; set; }
        public bool isActive { get; set; }
        public int appType { get; set; }
    }

    public class DeviceFenceModels
    {
        public string imei { get; set; }
        public string deviceId { get; set; }
        public string geofenceId { get; set; }
        public string geofenceName { get; set; }
        public int fenceType { get; set; }
        public int alarmType { get; set; }
        public int radius { get; set; }
        public decimal latitude { get; set; }
        public decimal longitude { get; set; }
        public string address { get; set; }
        public bool isActive { get; set; }
        public int appType { get; set; }
    }

    public class pointList
    {
        public int index { get; set; }
        public int radius { get; set; }
        public decimal latitude { get; set; }
        public decimal longitude { get; set; }
    }


    public class DeviceTime
    {
        public string imei { get; set; }
        public DateTime dt { get; set; }
    }

    public class LastStatusInfo
    {
        public string imei { get; set; }
        public string fenceId { get; set; }
        public string fenceInfo { get; set; }
        public int typeId { get; set; }
        public bool isInside { get; set; }
        public string typeInfo { get; set; }
        public string address { get; set; }
        public string dt { get; set; }
    }
}
