﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.Fence.Worker.Models.PushTemplates
{
    /// <summary>
    /// 进出围栏http推送（校安）
    /// </summary>
    public class PushXiaoAnPushTemplate
    {
        /// <summary>
        /// 推送title
        /// </summary>
        [JsonProperty("title")]
        public string Title { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [JsonProperty("address")]
        public string Address { get; set; }

        /// <summary>
        /// 推送内容
        /// </summary>
        [JsonProperty("textcontent")]
        public string TextContent { get; set; }

        /// <summary>
        /// 设备imei号
        /// </summary>
        [JsonProperty("nickname")]
        public string NickName { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        [JsonProperty("datetime")]
        public string DateTime { get; set; }
    }
}
